0

tk-multi-setcontext

I ran a `tank core` and `tank update` and tank reported the following:

"""App tk-multi-setcontext (Engine tk-motionbuilder, Environment shot_step)
    WARNING: This item has been flagged as deprecated with the following status:
    This app has been officially deprecated and is now replaced by the Shotgun
    File manager. For information how to upgrade your setup to use the shotgun
    file manager as a context switcher, please contact our support."""

I searched the mailing list, forum and docs and don't see anything on this.

Can I just remove its occurrences in my config and the app files themselves, or is there anything special I need to do to remove this cleanly?

 

 

댓글 1개

  • 0
    Avatar
    Manne Öhrström

    Hello Derick!

    Yepp, if you remove the entries from the environment files you should be ok. But you don't have to do that - this is the system basically informing you that we won't update this app anymore since the functionality has been moved to another place. The latest default toolkit config should contain a full motionbuilder setup, including all the standard apps, so if you want to take a look at what the "official" motionbuilder config looks like these days, you can always set up a project using the default config and see what that looks like, then pick and choose environment entries from there and potentially put them into your existing projects. And if you are hand editing environment files, don't forget to run the tank cache_apps command once you have finished editing to ensure that all the right versions of apps and engines have been cached on your system!

    Any questions, let us know!

    Thanks!
    Manne

댓글을 남기려면 로그인하세요.